/**
 * \file monitor_alignement_base.h
 * \date September 12, 2012
 * \author Benoit Valot
 */

#pragma once

#include <pappsomspp/msrun/alignment/msrunretentiontime.h>
#include <QMutex>

class MonitorAlignmentBase
{
  public:
  MonitorAlignmentBase();
  virtual ~MonitorAlignmentBase();

  virtual void
  setTimeValues(const pappso::MsRunRetentionTime<QString> &msrun_retention_time);
  virtual void
  setTraceValues(const pappso::MsRunRetentionTime<QString> &msrun_retention_time,
    const pappso::MsRunRetentionTime<QString> &msrun_retention_time_reference);

  protected:
  QMutex _mutex;
};
